Subject: WG Action: IP over Optical (ipo)

From: The IESG <[email-masked]>
Date: Fri, 02 Feb 2001 10:48:49 -0500

A new working group has been formed in the General Area of
the IETF. For additional information, contact the Area Director
or the WG Chairs.

IP over Optical (ipo)
---------------------

 Current Status: Active Working Group
 
 Chair(s):
     James Luciani <[email-masked]>
     Daniel Awduche <[email-masked]>
 
 General Area Director(s): 
     Fred Baker  <[email-masked]>
 
 General Area Advisor: 
     Fred Baker  <[email-masked]>
 
 Technical Advisor(s):
     David Oran  <[email-masked]>
     Thomas Narten  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      http://lists.bell-labs.com/mailman/listinfo/ip-optical
     Archive:           http://www.bell-labs.com/mailing-lists/ip-optical/
 
Description of Working Group:
 
Note: this WG is one of a set of WGs that comprise the 'sub-IP'
pseudo-area that the IESG recently created. All of the sub-IP WGs are
temporarily being housed in the General Area until the IESG decides on
a final management structure for managing these groups. The Area
Directors for the following areas acting as a group will be the Area
Advisors: INT, OPS, RTG and TSV.  The name(s) listed above under
"Technical Advisor(s)" are the the responsible Area Directors for the
working group.

The advent of switched multi-channel (e.g., WDM, DWDM, OTDM) optical
networks using OXCs (Optical Cross-connects) and other optical
switching elements presents many new opportunities for improving the
performance of IP networks and supporting faster and more flexible
provisioning of IP services.  However, much needs to be specified
before interoperable products based on these technologies can be
deployed in service provider networks.  The work needed in this area
includes:

- Document the use of existing framing methods for IP over optical
  dataplane and control channels, and as necessary specify additional
  framing methods.

- Identify and document the characteristics of the optical transport
  network that are important for selecting paths for optical channels,
  setting-up optical channels, and tearing-down optical channels.

- Document the applications of the common control and measurement
  protocols to the technology-dependent aspects of optical path setup,
  teardown, and maintenance of optical channels across networks with
  optical components.

- Document the requirements for control of optical networks by elements
  outside the optical network itself.

- Document the applicability of IP-based protocols for the controlled
  dissemination of optical network topology, metric, and constraint
  information. Such information can be used for inventory management,
  path selection, and other purposes. The information to be exchanged
  should accommodate both all-optical and optical-electrical-optical
  switching technologies.

- If a need is identified to develop new protocols or make
  incompatible modifications to existing protocols (e.g., routing and
  signaling protocols) to accomplish the above goals, then a recharter
  must first be approved before undertaking such work.

The IP over Optical WG will coordinate with relevant working groups
within the IETF to leverage existing work. The WG may also generate
requirements for other IETF WGs as needed.  Additionally, the WG may
collaborate with other standards bodies and interoperability forums
engaged in IP over optical activities (e.g., including ITU-T) to share
information, minimize duplication of effort, and coordinate activities
in order to promote interoperability and serve the best interest of
the industry.
 
 Goals and Milestones: 
 
   Mar 01       Produce Framework document with adequate motivation and 
                detailed description of the context and solution space for 
                IP/optical.                                                    

   Aug 01       Submit I-D on 'carrier optical services' requirements for 
                IP/Optical networks.                                           

   Aug 01       Submit I-D on the unique features of optical networks that are 
                relevant for path computation and signaling in IP/Optical 
                contexts.                                                      

   Apr 02       Submit I-D on the Traffic Engineering issues that are specific 
                to IP/Optical networks, which take into account the peculiar 
                characteristics of the operating environment, including aspects
                of protection/restoration unique to IP/optical.                

   Apr 02       Submit I-D on the requirements for distribution of optical 
                topology state information using the common control and 
                measurement protocols.                                         

   Apr 02       Submit I-D on the requirements for signaling in IP/Optical 
                networks using IP signaling protocols.                         

   Dec 02       Submit applicability statements describing the use of IP based 
                protocols for signaling and dissemination of network topology 
                state information in IP/Optical networks.                      

   Dec 02       Document existing encapsulation schemes for IP/optical data 
                plane and control plane channels.                              

   Dec 02       Submit Framework draft to IESG as a informational RFC.